XXE attack in GE Cimplicity

Published: 2018-12-07 16:26:24
Severity Low
Patch available YES
Number of vulnerabilities 1
CVE ID CVE-2018-15362
CVSSv3 7.1 [CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:H/E:U/RL:O/RC:C]
CWE ID CWE-611
Exploitation vector Network
Public exploit N/A
Vulnerable software CIMPLICITY
Vulnerable software versions CIMPLICITY 10.0
CIMPLICITY 9.0 R2
CIMPLICITY 9.5
Vendor URL GE Digital

Security Advisory

1) XXE attack

Description

The vulnerability allows a remote attacker to conduct XXE-attack on the target system.

The vulnerability exists due to improper handling of XML External Entities (XXEs) when parsing an XML file. A remote attacker can trick the victim into open an XML file that submits malicious input, trigger path traversal inside the Proficy server to initiate an OPC UA session and retrieve an arbitrary file from the targeted system.

Remediation

Install update from vendor's website.

External links

https://digitalsupport.ge.com/communities/en_US/Article/GE-Digital-Security-Advisory-GED-18-01

Back to List